Bug 995880 - SELinux is preventing /usr/sbin/httpd from 'sendto' accesses on the unix_dgram_socket /tmp/zm/zms-046838s.sock.
SELinux is preventing /usr/sbin/httpd from 'sendto' accesses on the unix_dgra...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:12ecfe1d6a4c1f0c2d9a31027ea...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 14:41 EDT by Allen
Modified: 2013-08-21 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-71.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:54:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen 2013-08-11 14:41:41 EDT
Description of problem:
Updated libs
SELinux is preventing /usr/sbin/httpd from 'sendto' accesses on the unix_dgram_socket /tmp/zm/zms-046838s.sock.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that httpd should be allowed sendto access on the zms-046838s.sock unix_dgram_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep /usr/sbin/httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:system_r:httpd_sys_script_t:s0
Target Objects                /tmp/zm/zms-046838s.sock [ unix_dgram_socket ]
Source                        /usr/sbin/httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.4-6.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-69.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.10.4-300.fc19.x86_64 #1 SMP Tue
                              Jul 30 11:29:05 UTC 2013 x86_64 x86_64
Alert Count                   10
First Seen                    2013-08-10 16:24:50 PDT
Last Seen                     2013-08-10 16:27:33 PDT
Local ID                      2eb84f91-c4b3-473a-bf5a-a6889400447a

Raw Audit Messages
type=AVC msg=audit(1376177253.744:15285): avc:  denied  { sendto } for  pid=24248 comm="/usr/sbin/httpd" path="/tmp/zm/zms-046838s.sock" scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:system_r:httpd_sys_script_t:s0 tclass=unix_dgram_socket


Hash: /usr/sbin/httpd,httpd_t,httpd_sys_script_t,unix_dgram_socket,sendto

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.5-201.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-08-17 07:21:36 EDT
b96c96377081fbfe824defe2c59e8ceac24855a8 fixes this in git.
Comment 2 Allen 2013-08-18 17:18:18 EDT
What does b96c96377081fbfe824defe2c59e8ceac24855a8 mean?
Comment 3 Miroslav Grepl 2013-08-20 04:16:46 EDT
It means it has been fixed in Fedora upstream git repository. You can use builds
from koji

http://koji.fedoraproject.org/koji/buildinfo?buildID=457610

with this fix.
Comment 4 Fedora Update System 2013-08-20 04:27:48 EDT
selinux-policy-3.12.1-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-71.fc19
Comment 5 Fedora Update System 2013-08-20 20:16:42 EDT
Package selinux-policy-3.12.1-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15088/selinux-policy-3.12.1-71.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-21 20:54:35 EDT
selinux-policy-3.12.1-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.